Skip to main content
GET
/
firework
/
v4
/
matching_policies
/
{policy_uuid}
Get Matching Policy
curl --request GET \
  --url https://api.flare.io/firework/v4/matching_policies/{policy_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "name": "<string>",
  "policy_type": "INCLUDED_KEYWORDS",
  "value": {
    "keywords": [
      "<string>"
    ]
  },
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z"
}
The endpoint is still in beta and is subject to change.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policy_uuid
string<uuid>
required

Response

Successful Response

uuid
string<uuid4>
required

The UUID of the matching policy

name
string
required

The name of the matching policy

policy_type
enum<string>
required

The type of the matching policy

Available options:
INCLUDED_KEYWORDS,
EXCLUDED_KEYWORDS,
LUCENE_QUERY,
ASTP_COOKIES
value
KeywordsValue · object
required

The value of the matching policy depending on its type

created_at
string<date-time>
required

The date and time the matching policy was created

last_updated_at
string<date-time>
required

The date and time the matching policy was last updated